Bug 232168 - net/mosquitto: Fix OpenSSL build
Summary: net/mosquitto: Fix OpenSSL build
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks: 231931
  Show dependency treegraph
 
Reported: 2018-10-11 00:50 UTC by Nathan
Modified: 2019-02-18 11:31 UTC (History)
1 user (show)

See Also:
joe: maintainer-feedback+


Attachments
Fix OpenSSL 1.1.x build (4.59 KB, patch)
2018-10-11 00:50 UTC, Nathan
no flags Details | Diff
Fix OpenSSL 1.1.x build (4.82 KB, patch)
2018-10-11 01:01 UTC, Nathan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan 2018-10-11 00:50:01 UTC
Created attachment 198023 [details]
Fix OpenSSL 1.1.x build

net/mosquitto: Fix OpenSSL build
 
 PR:             231931
 Submitted by:   Nathan <ndowens@yahoo.com>
Comment 1 Nathan 2018-10-11 01:01:18 UTC
Created attachment 198024 [details]
Fix OpenSSL 1.1.x build

Bump revision
Comment 2 commit-hook freebsd_committer 2018-11-01 15:17:20 UTC
A commit references this bug:

Author: swills
Date: Thu Nov  1 15:16:53 UTC 2018
New revision: 483677
URL: https://svnweb.freebsd.org/changeset/ports/483677

Log:
  net/mosquitto: Fix OpenSSL build

  PR:		232168
  Submitted by:	Nathan <ndowens@yahoo.com>
  Approved by:	joe@thrallingpenguin.com (maintainer)

Changes:
  head/net/mosquitto/Makefile
  head/net/mosquitto/files/patch-src_mosquitto__passwd.c
  head/net/mosquitto/files/patch-src_security__default.c
  head/net/mosquitto/files/patch-support-libressl
Comment 3 Steve Wills freebsd_committer 2018-11-01 15:17:53 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2018-11-09 22:53:44 UTC
A commit references this bug:

Author: antoine
Date: Fri Nov  9 22:52:42 UTC 2018
New revision: 484553
URL: https://svnweb.freebsd.org/changeset/ports/484553

Log:
  MFH: r481153 r483677

  - Update to 1.5.3

  PR:		231047
  Submitted by:	Iblis Lin <iblis@hs.ntnu.edu.tw>
  Approved by:	joe@thrallingpenguin.com (maintainer)

  net/mosquitto: Fix OpenSSL build

  PR:		232168
  Submitted by:	Nathan <ndowens@yahoo.com>
  Approved by:	joe@thrallingpenguin.com (maintainer)

Changes:
_U  branches/2018Q4/
  branches/2018Q4/net/mosquitto/Makefile
  branches/2018Q4/net/mosquitto/distinfo
  branches/2018Q4/net/mosquitto/files/mosquitto.in
  branches/2018Q4/net/mosquitto/files/patch-CMakeLists.txt
  branches/2018Q4/net/mosquitto/files/patch-config.mk
  branches/2018Q4/net/mosquitto/files/patch-lib_mosquitto__internal.h
  branches/2018Q4/net/mosquitto/files/patch-lib_socks__mosq.c
  branches/2018Q4/net/mosquitto/files/patch-lib_tls__mosq.h
  branches/2018Q4/net/mosquitto/files/patch-mosquitto.conf
  branches/2018Q4/net/mosquitto/files/patch-src_CMakeLists.txt
  branches/2018Q4/net/mosquitto/files/patch-src_mosquitto__passwd.c
  branches/2018Q4/net/mosquitto/files/patch-src_security__default.c
  branches/2018Q4/net/mosquitto/files/patch-support-libressl
  branches/2018Q4/net/mosquitto/pkg-plist
Comment 5 joe 2018-11-11 23:03:45 UTC
Hello,

We've got some sort of bug with the introduction of the OpenSSL compat code, specifically in generating passwd entries. Could someone please research?

See:
https://github.com/eclipse/mosquitto/issues/1032

Thanks in advanced!
-Joe